## python-oslo.db 17.1.0

=== debian/changelog ===
python-oslo.db (17.1.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop dependencies that are no longer required.
  * d/control: Align (Build-)Depends with release.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jan 2025 11:58:22 +0000

python-oslo.db (16.0.0-0ubuntu3) oracular; urgency=medium

  * d/tests/python-stestr: Silence deprecation warnings, resolving
    test failures under autopkgtest.

 -- James Page <james.page@ubuntu.com>  Mon, 02 Sep 2024 10:48:10 +0100

python-oslo.db (16.0.0-0ubuntu2) oracular; urgency=medium

  * d/control: Drop python3-migrate from (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Aug 2024 12:07:10 +0100

python-oslo.db (16.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release. 
  * d/control: Drop surplus test requirements.
  * d/{control,tests}/*: Test with all supported Pythons.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Aug 2024 11:49:45 +0100

## python-oslo.db 17.2.1

=== debian/changelog ===
python-oslo.db (17.2.1-3) unstable; urgency=medium

  * Add patch:
    Add_MariaDB_error_1020_handling_as_DBConsistencyError_subclass_....patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Aug 2025 11:35:58 +0200

python-oslo.db (17.2.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:19:31 +0100

python-oslo.db (17.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 09:45:53 +0100

python-oslo.db (17.2.0-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 14:57:00 +0100

python-oslo.db (17.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 14:11:28 +0100

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.db.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_LOCK_PATH=$(CURDIR)/debian/

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build *.egg-info .stestr doc/source/reference/api
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp pkgos-dh_auto_test --no-py2 'oslo_db\.tests\.(?!.*test_enginefacade.*)'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.db-doc/usr/share/doc/python-oslo.db-doc/html
	dh_sphinxdoc
endif

## python-oslo.db 17.3.0

=== debian/changelog ===
python-oslo.db (17.3.0-0ubuntu1) questing; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.
  * New upstream release for OpenStack Flamingo. (LP: #2116155)

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 24 Jul 2025 16:04:09 -0400

python-oslo.db (17.2.1-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/p/*: Drop, included upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:49:53 +0000

python-oslo.db (17.1.0-0ubuntu2) plucky; urgency=medium

  * d/p/sql2.0.38-compat.patch: Cherry pick fix for compatibility with
    sqlalchemy 2.0.38.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Feb 2025 16:21:40 +0000

## python-oslo.db 17.4.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

alembic>=0.9.6 # MIT
debtcollector>=1.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
SQLAlchemy>=1.4.0 # MIT
stevedore>=1.20.0 # Apache-2.0
# these are used by downstream libraries that require
# oslo.db as one of their test requirements - do not remove!
testresources>=2.0.0 # Apache-2.0/BSD
testscenarios>=0.4 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.db (17.4.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2122726).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 12 Sep 2025 15:08:14 -0700

=== debian/control ===
Source: python-oslo.db
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-aiosqlite,
 python3-alembic (>= 0.9.6),
 python3-debtcollector (>= 1.2.0),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.8.0),
 python3-pymysql (>= 0.7.6),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.db
Homepage: https://opendev.org/openstack/oslo.db

Package: python-oslo.db-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: database connectivity to the different backends and helper utils - doc
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the documentation.

Package: python3-oslo.db
Architecture: all
Depends:
 alembic (>= 0.9.6),
 python3-alembic (>= 0.9.6),
 python3-debtcollector (>= 1.2.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stevedore (>= 1:1.20.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 ${misc:Depends},
 ${python3:Depends},
Description: database connectivity to the different backends and helper utils - Python 3.x
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=oslo_db

UPSTREAM_GIT := https://github.com/openstack/oslo.db.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_LOCK_PATH=$(CURDIR)/debian/

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .eggs

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp pkgos-dh_auto_test --no-py2
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.db-doc/usr/share/doc/python-oslo.db-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/oslo.db/ oslo.db-(\d.*)\.tar\.gz

## python-oslo.db 18.0.0

=== requirements.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-SQLAlchemy>=1.4.0 # MIT
+SQLAlchemy>=2.0.5 # MIT
 stevedore>=1.20.0 # Apache-2.0
 # these are used by downstream libraries that require
 # oslo.db as one of their test requirements - do not remove!

=== debian/changelog ===
python-oslo.db (18.0.0-2) experimental; urgency=medium

  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Mar 2026 12:56:11 +0100

python-oslo.db (18.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 17:01:41 +0100

python-oslo.db (17.4.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046291).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 16:48:45 +0100

python-oslo.db (17.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 20:40:44 +0200

python-oslo.db (17.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Add_MariaDB_error_1020_handling_as_DBConsistencyError_sub....patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 15:59:32 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export PYBUILD_NAME=oslo_db
 
 UPSTREAM_GIT := https://github.com/openstack/oslo.db.git
 include /usr/share/openstack-pkg-tools/pkgos.make
@@ -11,7 +9,9 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .eggs
+	rm -rf build *.egg-info .stestr doc/source/reference/api .pybuild
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -21,7 +21,7 @@
 		python$$i setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
 	done
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR)/debian/tmp pkgos-dh_auto_test --no-py2
+	PYTHONPATH=$(CURDIR)/debian/tmp pkgos-dh_auto_test --no-py2 'oslo_db\.tests\.(?!.*test_enginefacade.*)'
 endif
 
 override_dh_auto_test:
